package cn.yufire.config;


import cn.yufire.config.core.AppConfiguration;
import cn.yufire.config.mongo.ConfigPo;
import com.alibaba.fastjson.JSON;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.data.mongodb.core.MongoTemplate;

@SpringBootTest
class ConfigDemoApplicationTests {

    @Autowired
    private MongoTemplate mongoTemplate;

    @Test
    void contextLoads() {

        // 一定要注意Properties的格式
        // 并且配置文件中的配置名称要与配置类中的配置名称保持一致
        String configStr = "userName=张三\n" +
                "userAge=18\n" +
                "userIsEatEgg=false\n" +
                "score=88.6";
        ConfigPo configPo = ConfigPo.builder().config(configStr).build();
        mongoTemplate.save(configPo);
    }

    @Test
    void testLoadConfig() {
        System.out.println(JSON.toJSONString(AppConfiguration.getInstance()));
    }

}
