package cn.yufire.config.core;

import cn.yufire.config.service.ConfigService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.core.annotation.Order;

import javax.annotation.PostConstruct;

/**
 * @author Yufire
 * @date 2021/3/17 17:04
 * @description
 */
@Configuration
@Order(1)
@Slf4j
public class AppRunner {


    @Autowired
    private ConfigService configService;

    /**
     * 优先级最高的方法
     * 类在构造的时候执行的方法
     */
    @PostConstruct
    public void init() {
        configService.refresh();
    }


}
