package cn.yufire.config.mongo;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;
import org.springframework.data.mongodb.core.mapping.Field;

/**
 * @author Yufire
 * @date 2021/3/15 11:10
 * @description
 */
@AllArgsConstructor
@NoArgsConstructor
@Data
@Builder
@Document(collection = "Config_Test")
public class ConfigPo {

    @Id
    private String id;

    /**
     * 配置文件本体
     */
    @Field
    private String config;

}
